Ssocialgraph.dev
API reference / YouTube / Video categories list

Video categories list

Read-only YouTube Data API v3 videoCategories list endpoint.

1 credit per successful call Errors are never charged

Request

GET https://socialgraph.dev/api/v1/youtube/videoCategories

Send your API key as Authorization: Bearer YOUR_API_KEY. Parameters go in the query string.

Parameters

NameTypeDescription
part
required
string Required. Use snippet.
regionCode
optional
string Categories available in this country (provide regionCode or id). For example: US
id
optional
string Comma-separated category IDs (provide regionCode or id). For example: 28
hl
optional
string Language for the category titles. For example: es

Code examples


Example response

{
    "etag": "QteLrrS_X7rM7rlcU_e7qa0embQ",
    "kind": "youtube#videoCategoryListResponse",
    "items": [
        {
            "id": "1",
            "etag": "grPOPYEUUZN3ltuDUGEWlrTR90U",
            "kind": "youtube#videoCategory",
            "snippet": {
                "title": "Film & Animation",
                "channelId": "UCBR8-60-B28hp2BmDPdntcQ",
                "assignable": true
            }
        },
        {
            "id": "2",
            "etag": "Q0xgUf8BFM8rW3W0R9wNq809xyA",
            "kind": "youtube#videoCategory",
            "snippet": {
                "title": "Autos & Vehicles",
                "channelId": "UCBR8-60-B28hp2BmDPdntcQ",
                "assignable": true
            }
        },
        {
            "id": "10",
            "etag": "qnpwjh5QlWM5hrnZCvHisquztC4",
            "kind": "youtube#videoCategory",
            "snippet": {
                "title": "Music",
                "channelId": "UCBR8-60-B28hp2BmDPdntcQ",
                "assignable": true
            }
        },
        {
            "id": "15",
            "etag": "HyFIixS5BZaoBdkQdLzPdoXWipg",
            "kind": "youtube#videoCategory",
            "snippet": {
                "title": "Pets & Animals",
                "channelId": "UCBR8-60-B28hp2BmDPdntcQ",
                "assignable": true
            }
        },
        {
            "id": "17",
            "etag": "PNU8SwXhjsF90fmkilVohofOi4I",
            "kind": "youtube#videoCategory",
            "snippet": {
                "title": "Sports",
                "channelId": "UCBR8-60-B28hp2BmDPdntcQ",
                "assignable": true
            }
        }
    ]
}

Errors

StatusMeaningCharged?
401Missing, invalid or revoked API keyNo
402Not enough credits (insufficient_credits)No
404The account or post doesn't existNo
422Missing or invalid parametersNo
502 / 503The data source is temporarily unavailableNo

All error codes →

Try it live: Video categories list GET

🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.

Start with 100 free credits

Create an account in seconds. No card, no subscription. Credits never expire.

Create free account →